summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2018-06-18 20:29:09 -0400
committerMike Frysinger <vapier@gentoo.org>2018-06-18 21:23:59 -0400
commita0ea402f42a5367f22085853ec0f7993c94ec2bb (patch)
treecc0f02cc2f44edce10aa7f982040058faea1877a /net-dialup
parentwww-client/firefox: Fix llvm/clang detection for build, bug #658402 Thanks (diff)
downloadgentoo-a0ea402f42a5367f22085853ec0f7993c94ec2bb.tar.gz
gentoo-a0ea402f42a5367f22085853ec0f7993c94ec2bb.tar.bz2
gentoo-a0ea402f42a5367f22085853ec0f7993c94ec2bb.zip
net-dialup/ppp: clean up pkg-config usage for glib & openssl
Diffstat (limited to 'net-dialup')
-rw-r--r--net-dialup/ppp/ppp-2.4.7-r6.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/net-dialup/ppp/ppp-2.4.7-r6.ebuild b/net-dialup/ppp/ppp-2.4.7-r6.ebuild
index 5e0743255bf..ed2dfd4c8c2 100644
--- a/net-dialup/ppp/ppp-2.4.7-r6.ebuild
+++ b/net-dialup/ppp/ppp-2.4.7-r6.ebuild
@@ -86,11 +86,19 @@ src_prepare() {
sed -i -e '/+= radius/s:^:#:' pppd/plugins/Makefile.linux || die
fi
+ # Respect our pkg-config settings.
+ sed -i \
+ -e 's:pkg-config:$(PKG_CONFIG):' \
+ contrib/pppgetpass/Makefile.linux || die
+ sed -i \
+ -e '/^LIBS/{s:-L/usr/local/ssl/lib::;s:-lcrypto:`$(PKG_CONFIG) --libs libcrypto`:}' \
+ pppd/Makefile.linux || die
+
eapply_user #549588
}
src_compile() {
- tc-export AR CC
+ tc-export AR CC PKG_CONFIG
emake COPTS="${CFLAGS} -D_GNU_SOURCE"
# build pppgetpass